if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[paInsLogCxpAprob]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[paInsLogCxpAprob]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[paInsLogRecaudo]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[paInsLogRecaudo]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[paInsLogRecDetalle]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[paInsLogRecDetalle]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[paInsLogSobTasas]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[paInsLogSobTasas]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[paQryLogRecDetalle]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[paQryLogRecDetalle]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[paQryLogRecaudo]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[paQryLogRecaudo]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[paQryLogRecaudoFmt]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[paQryLogRecaudoFmt]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[paQryLogSobTasas]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[paQryLogSobTasas]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[paQryLogSobTasasLta]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[paQryLogSobTasasLta]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE paInsLogCxpAprob @pmNumero INT,@pmItem INT,@pmFecha SMALLDATETIME,@pmTimeSys SMALLDATETIME,@pmTipFac VARCHAR(3),@pmFactura VARCHAR(15),@pmIdCia CHAR(2)
,@pmItemFact INT,@pmIdCuenta VARCHAR(16),@pmIdProveedor VARCHAR(16),@pmNomProvee VARCHAR(150),@pmVrFactura MONEY,@pmVrAbonado MONEY,@pmEstado INT,@pmDetalle VARCHAR(100)
,@pmIdUsuario VARCHAR(11),@pmNombre VARCHAR(50)
 AS 
 INSERT INTO LogCxpAprob (Numero,Item,Fecha,TimeSys,TipFac,Factura,IdCia,ItemFact,IdCuenta,IdProveedor,NomProvee,VrFactura,VrAbonado,Estado,Detalle,IdUsuario,Nombre)
 VALUES (@pmNumero,@pmItem,@pmFecha,@pmTimeSys,@pmTipFac,@pmFactura,@pmIdCia,@pmItemFact,@pmIdCuenta,@pmIdProveedor,@pmNomProvee,@pmVrFactura
,@pmVrAbonado,@pmEstado,@pmDetalle,@pmIdUsuario,@pmNombre)
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE paInsLogRecaudo @pmNumero INT,@pmNitEmpresa VARCHAR(16),@pmFechaRec SMALLDATETIME,@pmFechaCrea SMALLDATETIME,@pmHoraCrea VARCHAR(10)
,@pmSecuencia VARCHAR(3),@pmTipoCuenta INT,@pmNumCuenta VARCHAR(20),@pmTotalReg INT,@pmValorTotal MONEY,@pmEstadoProc INT,@pmObservacion VARCHAR(250)
,@pmTimeSys SMALLDATETIME,@pmIdUsuario VARCHAR(11),@pmNombre VARCHAR(50),@pmNomArchivo VARCHAR(100)
 AS 
 INSERT INTO LogRecaudo (Numero,NitEmpresa,FechaRec,FechaCrea,HoraCrea,Secuencia,TipoCuenta,NumCuenta,TotalReg,ValorTotal,EstadoProc,Observacion,TimeSys,IdUsuario,Nombre,NomArchivo)
 VALUES (@pmNumero,@pmNitEmpresa,@pmFechaRec,@pmFechaCrea,@pmHoraCrea,@pmSecuencia,@pmTipoCuenta,@pmNumCuenta,@pmTotalReg,@pmValorTotal,@pmEstadoProc
,@pmObservacion,@pmTimeSys,@pmIdUsuario,@pmNombre,@pmNomArchivo)
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE paInsLogRecDetalle @pmNumero INT,@pmItem INT,@pmIdCliente VARCHAR(16),@pmCdAgencia VARCHAR(16),@pmTipoDoc VARCHAR(3),@pmNumDoc INT,@pmIdCia CHAR(2),@pmValorRec MONEY,@pmReferencia VARCHAR(50),@pmEstado INT,@pmNumRecibo INT
,@pmIdCiaRec CHAR(2),@pmFechaRec SMALLDATETIME,@pmFechaFact SMALLDATETIME,@pmProcPago INT,@pmMedioPago INT,@pmSecRegistro INT,@pmCodEntidad VARCHAR(10),@pmCodSucursal VARCHAR(10),@pmNumOper VARCHAR(20),@pmNumAutoriza VARCHAR(20),@pmCodServicio VARCHAR(50)
,@pmNumLote VARCHAR(10),@pmDescRegistro VARCHAR(250),@pmComentario VARCHAR(250),@pmIdVend VARCHAR(16),@pmCodTarCom VARCHAR(4),@pmTarifaCom DECIMAL(14,4),@pmCdCiudad VARCHAR(8),@pmVrFactura MONEY,@pmVrAbonado MONEY,@pmNomCliente VARCHAR(150)
 AS 
 INSERT INTO LogRecDetalle (Numero,Item,IdCliente,CdAgencia,TipoDoc,NumDoc,IdCia,ValorRec,Referencia,Estado,NumRecibo,IdCiaRec,FechaRec,FechaFact,ProcPago,MedioPago,SecRegistro,CodEntidad,CodSucursal,NumOper,NumAutoriza,CodServicio
,NumLote,DescRegistro,Comentario,IdVend,CodTarCom,TarifaCom,CdCiudad,VrFactura,VrAbonado,NomCliente)
 VALUES (@pmNumero,@pmItem,@pmIdCliente,@pmCdAgencia,@pmTipoDoc,@pmNumDoc,@pmIdCia,@pmValorRec,@pmReferencia,@pmEstado,@pmNumRecibo,@pmIdCiaRec,@pmFechaRec,@pmFechaFact,@pmProcPago,@pmMedioPago,@pmSecRegistro,@pmCodEntidad
,@pmCodSucursal,@pmNumOper,@pmNumAutoriza,@pmCodServicio,@pmNumLote,@pmDescRegistro,@pmComentario,@pmIdVend,@pmCodTarCom,@pmTarifaCom,@pmCdCiudad, @pmVrFactura,@pmVrAbonado,@pmNomCliente)

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE paInsLogSobTasas @pmIdDec VARCHAR(4),@pmIdLog INT,@pmItem INT,@pmnAnno INT,@pmnMes INT,@pmTipoEntidad VARCHAR(10),@pmIdEnterr VARCHAR(8),@pmNomEntidad VARCHAR(50)
,@pmCdProducto VARCHAR(16),@pmDescripProd VARCHAR(150),@pmClaseProd VARCHAR(20),@pmCantVentas DECIMAL(14,4),@pmCantDev DECIMAL(14,4),@pmVrUnitario MONEY,@pmVrTotalVentas MONEY
,@pmVrTotalDev MONEY,@pmTarifa DECIMAL(14,4),@pmVrSobVentas MONEY,@pmVrSobDev MONEY,@pmVrPrecio MONEY,@pmFormaPago VARCHAR(10),@pmCdClase VARCHAR(4)
,@pmNomClase VARCHAR(50),@pmNumCuenta VARCHAR(30),@pmCdBanco VARCHAR(4),@pmNomBanco VARCHAR(50),@pmVrPagado MONEY,@pmObservacion VARCHAR(250),@pmTimeSys SMALLDATETIME
,@pmIdUsuario VARCHAR(11),@pmNombre VARCHAR(50),@pmEstado INT,@pmEsCorrecto BIT,@pmTarifGalon DECIMAL(14,4),@pmPorcBase DECIMAL(14,4)
 AS 
 INSERT INTO LogSobTasas (IdDec,IdLog,Item,nAnno,nMes,TipoEntidad,IdEnterr,NomEntidad,CdProducto,DescripProd,ClaseProd,CantVentas,CantDev,VrUnitario,VrTotalVentas,VrTotalDev,Tarifa,VrSobVentas,VrSobDev,VrPrecio
,FormaPago,CdClase,NomClase,NumCuenta,CdBanco,NomBanco,VrPagado,Observacion,TimeSys,IdUsuario,Nombre,Estado,EsCorrecto,TarifGalon,PorcBase)
 VALUES (@pmIdDec,@pmIdLog,@pmItem,@pmnAnno,@pmnMes,@pmTipoEntidad,@pmIdEnterr,@pmNomEntidad,@pmCdProducto,@pmDescripProd,@pmClaseProd,@pmCantVentas,@pmCantDev,@pmVrUnitario
,@pmVrTotalVentas,@pmVrTotalDev,@pmTarifa,@pmVrSobVentas,@pmVrSobDev,@pmVrPrecio,@pmFormaPago,@pmCdClase,@pmNomClase,@pmNumCuenta,@pmCdBanco,@pmNomBanco
,@pmVrPagado,@pmObservacion,@pmTimeSys,@pmIdUsuario,@pmNombre,@pmEstado,@pmEsCorrecto,@pmTarifGalon,@pmPorcBase)
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE paQryLogRecDetalle @pmNumero INT 
 AS 
 SELECT Numero,Item,IdCliente,CdAgencia,TipoDoc,NumDoc,IdCia,ValorRec,Referencia,Estado,NumRecibo,IdCiaRec,FechaRec
,FechaFact,ProcPago,MedioPago,SecRegistro,CodEntidad,CodSucursal,NumOper,NumAutoriza,CodServicio,NumLote,DescRegistro
,Comentario,IdVend,CodTarCom,TarifaCom,CdCiudad,VrFactura,VrAbonado,NomCliente
 FROM LogRecDetalle
 WHERE Numero=@pmNumero
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE paQryLogRecaudo @pmNumero INT
 AS 
 SELECT Numero,NitEmpresa,FechaRec,FechaCrea,HoraCrea,Secuencia,TipoCuenta,NumCuenta,TotalReg
,ValorTotal,EstadoProc,Observacion,TimeSys,IdUsuario,Nombre,NomArchivo
 FROM LogRecaudo
 WHERE Numero=@pmNumero
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE paQryLogRecaudoFmt @pmNumeroIni INT,@pmNumeroFin INT
 AS 
 SELECT R.Numero AS NumeroReg,NitEmpresa,R.FechaRec AS FecRecaudo,FechaCrea,HoraCrea,Secuencia,TipoCuenta,NumCuenta,TotalReg
,ValorTotal,EstadoProc,Observacion,TimeSys,IdUsuario,Nombre,NomArchivo
--detalles
,Item,IdCliente,CdAgencia,TipoDoc,NumDoc,IdCia,ValorRec,Referencia,Estado,NumRecibo,IdCiaRec,D.FechaRec AS FecRecibo
,FechaFact,ProcPago,MedioPago,SecRegistro,CodEntidad,CodSucursal,NumOper,NumAutoriza,CodServicio,NumLote,DescRegistro
,Comentario,IdVend,CodTarCom,TarifaCom,CdCiudad,VrFactura,VrAbonado,NomCliente
 FROM LogRecaudo AS R LEFT JOIN LogRecDetalle AS D ON R.Numero=D.Numero
 WHERE R.Numero BETWEEN @pmNumeroIni AND @pmNumeroFin
 ORDER BY R.Numero,Item



GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE paQryLogSobTasas @pmIdDec VARCHAR(4),@pmIdLog INT
 AS 
 SELECT IdDec,IdLog,Item,nAnno,nMes,TipoEntidad,IdEnterr,NomEntidad
,CdProducto,DescripProd,ClaseProd,CantVentas,CantDev,VrUnitario,VrTotalVentas
,VrTotalDev,Tarifa,VrSobVentas,VrSobDev,VrPrecio,FormaPago,CdClase,NomClase
,NumCuenta,CdBanco,NomBanco,VrPagado,Observacion,TarifGalon,PorcBase
 FROM LogSobTasas
 WHERE IdDec=@pmIdDec AND IdLog=@pmIdLog
 AND Estado<=0 AND EsCorrecto<>0
 ORDER BY TipoEntidad,IdEnterr,Item
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE paQryLogSobTasasLta @pmIdDec VARCHAR(4),@pmIdLog INT
 AS 
 SELECT Item,IdEnterr,NomEntidad,ClaseProd,CdProducto,DescripProd,CantVentas,CantDev,CantVentas-CantDev AS CantNeto,VrPrecio,PorcBase
,CASE WHEN PorcBase>0 AND PorcBase<100 THEN (((CantVentas-CantDev)*VrPrecio)*PorcBase)/100   ELSE (CantVentas-CantDev)*VrPrecio END AS BaseSobTasa
,Tarifa,CASE WHEN PorcBase>0 AND PorcBase<100 THEN  (((((CantVentas-CantDev)*VrPrecio)*PorcBase)/100)*Tarifa)/100 ELSE (((CantVentas-CantDev)*VrPrecio)*Tarifa)/100 END AS TotalSobretasa
,VrTotalVentas,VrTotalDev,VrTotalVentas-VrTotalDev AS VentasNeto,TarifGalon,VrSobVentas,VrSobDev,VrSobVentas-VrSobDev AS SobtasaVentas
,VrUnitario,TipoEntidad,nAnno,nMes,FormaPago,CdClase,NomClase,NumCuenta,CdBanco,NomBanco,VrPagado,Estado,EsCorrecto,Observacion,TimeSys,IdUsuario,Nombre,IdDec,IdLog
 FROM LogSobTasas
 WHERE IdDec=@pmIdDec AND IdLog=@pmIdLog
 ORDER BY Item
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

